---
title: CSSStyleSheet.removeRule()
slug: Web/API/CSSStyleSheet/removeRule
tags:
  - API
  - CSS
  - CSSOM
  - CSSOM API
  - CSSStyleSheet
  - Layout
  - Method
  - Object Model
  - Obsolete
  - Reference
  - Rule
  - StyleSheet
  - delete
  - legacy
  - remove
  - removeRule
---
<p>{{APIRef("CSSOM")}}{{obsolete_header}}</p>

<p><span class="seoSummary">The obsolete {{domxref("CSSStyleSheet")}} method <code><strong>removeRule()</strong></code> removes a rule from the stylesheet object.</span> It is functionally identical to the standard, preferred method {{domxref("CSSStyleSheet.deleteRule", "deleteRule()")}}.</p>

<div class="notecard note">
<p><strong>Note:</strong> This is a <em>legacy method</em> which has been replaced by the standard method {{domxref("CSSStyleSheet.deleteRule", "deleteRule()")}}. You should use that instead.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>cssStyleSheet</em>.removeRule(<em>index</em>)
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>index</code></dt>
 <dd>The index into the stylesheet's {{domxref("CSSRuleList")}} indicating the rule to be removed.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p><code>undefined</code></p>

<h2 id="Example">Example</h2>

<p>This example removes the first rule from the stylesheet <code>myStyles</code>.</p>

<pre class="brush:js"> myStyles.removeRule(0);
</pre>

<p>You can rewrite this to use the standard <code>deleteRule()</code> method very easily:</p>

<pre class="brush: js">myStyles.deleteRule(0);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("CSSOM", "#dom-cssstylesheet-removerule", 'CSSStyleSheet.removeRule()')}}</td>
   <td>{{Spec2("CSSOM")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSStyleSheet.removeRule")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/CSS_Object_Model">CSS Object Model</a></li>
 <li><a href="/en-US/docs/Web/API/CSS_Object_Model/Using_dynamic_styling_information">Using dynamic styling information</a></li>
 <li>{{domxref("CSSStyleSheet.insertRule", "insertRule()")}}</li>
</ul>
